Error
A valid request URL is required to generate request examples{
"srn": "srn2:role#table-reader-role",
"name": "table-reader-role",
"description": "Provides read-only access to specific tables.",
"createdAt": "2024-09-04T00:28:30.876+00:00",
"lastUpdatedAt": "2024-09-04T00:28:30.876+00:00",
"createdBy": "srn:zone:user:default:abcd1234",
"lastUpdatedBy": "srn:zone:user:default:abcd1234"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 404,
"error": "Not Found",
"message": "Not Found.",
"path": "/api/v1/rbac-manager/policies/srn2:policy%23missing"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 404,
"error": "Not Found",
"message": "Not Found.",
"path": "/api/v1/rbac-manager/policies/srn2:policy%23missing"
}{
"status": 404,
"error": "Not Found",
"message": "Not Found."
}Roles
Update a role
Updates the description of a role. The name and SRN cannot change.
PUT
/
roles
/
{roleSrn}
Error
A valid request URL is required to generate request examples{
"srn": "srn2:role#table-reader-role",
"name": "table-reader-role",
"description": "Provides read-only access to specific tables.",
"createdAt": "2024-09-04T00:28:30.876+00:00",
"lastUpdatedAt": "2024-09-04T00:28:30.876+00:00",
"createdBy": "srn:zone:user:default:abcd1234",
"lastUpdatedBy": "srn:zone:user:default:abcd1234"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 404,
"error": "Not Found",
"message": "Not Found.",
"path": "/api/v1/rbac-manager/policies/srn2:policy%23missing"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 404,
"error": "Not Found",
"message": "Not Found.",
"path": "/api/v1/rbac-manager/policies/srn2:policy%23missing"
}{
"status": 404,
"error": "Not Found",
"message": "Not Found."
}Authorizations
A StarTree API token or a service token (st-<accessKey>-<secretKey>).
Path Parameters
SRN of the role, with # encoded as %23.
Body
application/json
Example:
"Read-only access to the sales tables."
Response
The updated role.
Example:
"srn2:role#table-reader-role"
Example:
"table-reader-role"
Example:
"Provides read-only access to specific tables."
Example:
"2024-09-04T00:28:30.876+00:00"
Example:
"2024-09-04T00:28:30.876+00:00"
SRN of the principal that created the resource. Predefined StarTree resources show startree-rbac-manager.
Example:
"srn:zone:user:default:abcd1234"
Example:
"srn:zone:user:default:abcd1234"
Was this page helpful?

